import { EmailTemplate } from 'src/modules/objects/email/email.template';

export const InvitationEmail = (url: string): EmailTemplate => ({
  text: `
Icy Network

Please click on the following link to create an account on Icy Network.

Create your account here: ${url}

This email was sent to you because you have requested an account on Icy Network. If you did not request this, you may safely ignore this email.
  `,
  html: /* html */ `
<h1>Icy Network</h1>

<p><b>Please click on the following link to create an account on Icy Network.</b></p>

<p>Create your account here: <a href="${url}" target="_blank">${url}</a></p>

<p>This email was sent to you because you have requested an account on Icy Network. If you did not request this, you may safely ignore this email.</p>
  `,
});
